Skip to Content
author's profile photo Former Member
Former Member

Required JDK for SUSE Linux 11 SP2

Hi Experts,

I am trying to install SAP on SUSE Linux version 11 SP2. (64 bit X86_64)

Can you please let me know the version of the JDK need to install.

Best Regards,

Vamshi

Add a comment
10|10000 characters needed characters exceeded

Assigned Tags

Related questions

2 Answers

  • author's profile photo Former Member
    Former Member
    Posted on Nov 13, 2015 at 09:05 AM

    As per note 1172419 - Linux: Supported Java versions on the x86_64 platform , it is saying to download java-1_4_2-ibm-1.4.2_sr13.13-0.2.1.x86_64.rpm.

    Is it correct to install this java version

    Add a comment
    10|10000 characters needed characters exceeded

  • Posted on Nov 13, 2015 at 10:37 AM

    Hi Vamshi,

    the needed java version is depending on *what SAP product* you like to install ontop of the SUSE Linux Enterprise Server 11. SAP has now it's own Java version integrated and for most SAP NetWeaver installations you do not need any longer the java version 1.4.2 from IBM. Please also have a look at SAP Note 1310037, which describes howto setup SLES or SLES for SAP Applications for SAP workloads.

    IBM has discontinued the support for IBM Java 1.4.2 (if I got their statement right).

    You should also double-check, if you really want to install on the old SP2 of SUSE Linux Enterprise Server 11. SP3 and SP4 are the current support packs and as SP4 is out you should really use it for SAP NetWeaver installations. For SAP HANA (today) you should use SP3 as SP4 is still in the validation.

    In sum - if you try a quite new SAP NetWeaver product use the SAP integrated Java version.

    Hope that helps

    Regards

    Fabian

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.